import random

from command_system import as_plugin, RollbotResponse


HELP_MSG = """
Hello!
I am Rollbot 3.0 - a reimplementation of the previous Rollbot.
I am a simple chatbot built in Python.
I am licensed as open source under the MIT license.
"""


@as_plugin
def info(db, message):
    return RollbotResponse(message, txt=HELP_MSG)


@as_plugin
def isadmin(db, message):
    return RollbotResponse(message, txt=str(message.from_admin))


@as_plugin
def debug(db, message):
    return RollbotResponse(message, txt=str(message))


@as_plugin
def echo(db, message):
    return RollbotResponse(message, txt="'%s' - %s" % (message.raw_args, message.name))


@as_plugin
def thanks(db, message):
    return RollbotResponse(message, txt="You're welcome!")


@as_plugin
def guess(db, message):
    return RollbotResponse(message, txt="Rollbot's back - tell a friend!")


@as_plugin
def meme(db, message):
    return RollbotResponse(message, txt="fuck off")


@as_plugin
def unmeme(db, message):
    return RollbotResponse(message, txt="get a job")


@as_plugin
def greet(db, message):
    return RollbotResponse(message, txt=random.choice(("Hi!", "Hello!", "안녕하세요", "こんにちは", "你好", "👋")))


@as_plugin
def console(db, message):
    argstr = message.raw_args
    opts = [
        "NEVER GIVE UP",
        "I believe in you!",
        "You're doing your best, it's okay!"
    ]
    if argstr is not None:
        opts.append("It'll be okay, {}! Keep trying!".format(argstr))
    return RollbotResponse(message, txt=random.choice(opts))
