import atexit
import logging
import os

from rollbot import Rollbot
from command_system import RollbotMessage
from config import DB_FILE

try:
    os.remove(DB_FILE)
except FileNotFoundError:
    pass
rollbot = Rollbot(logging.getLogger(__name__))


def test_drive(msg, from_admin=True):
    rmsg = RollbotMessage("mock", None, None, "test_group", None, msg)
    rmsg.from_admin = from_admin
    r =rollbot.run_command(rmsg)
    print(msg, ":", r.txt, ",", r.failure)


if __name__ == "__main__":
    [logging.disable(level) for level in [
        logging.DEBUG,
        logging.INFO,
        logging.WARN,
        logging.ERROR,
    ]]

    rollbot.start_plugins()
    atexit.register(rollbot.shutdown_plugins)

    [test_drive(msg) for msg in [
        "!session worst",
        "!session blah",
        "!session cancel",
        "!session next",
        "!session next asdf",
        "!session next Sunday",
        "!session late",
        "!session view",
        "!session cancel T e S t",
        "!session next Sunday",
        "!session late",
        "!session view",
        "!session cancel T e S t",
        "!session next Sunday",
        "!session late",
        "!session view",
        "!session cancel dIfFeReNt",
        "!session late",
        "!session cancel",
        "!session next Saturday",
        "!session next 01/01/1980",
        "!session next 01/01/2980",
        "!session late",
        "!session view",
        "!session cancel",
        "!session worst",
    ]]
